Description

The verbose mode of EventDump repeatedly calls ContainerFragment::at(), which results in a memcpy of the entire contained
Fragment. at() should be called once and the result used multiple times in the output.

Related issues:
Related to artdaq - Bug #23319: Problems reading ProtoDUNE-SP raw data file w... Closed 09/24/2019

Associated revisions

Revision e5b7e7e8 - 09/25/2019 11:00 AM - Eric Flumerfelt

Only call ContainerFragment::at once while dumping contained Fragment information. Resolves #23328.

History

#1 - 09/25/2019 10:59 AM - Eric Flumerfelt
- Related to Bug #23319: Problems reading ProtoDUNE-SP raw data file with artdaq_core v3_05_02 added

#2 - 09/25/2019 10:59 AM - Eric Flumerfelt
Found while debugging #23319.

#3 - 09/25/2019 11:01 AM - Eric Flumerfelt

- Status changed from New to Resolved

Resolved by commit to artdaq:feature/23328_EventDump_ReduceCopiesFromContainerFragment

#4 - 09/25/2019 11:20 AM - Eric Flumerfelt
- % Done changed from 0 to 100

Applied in changeset e5b7e7e828c09¢c9c7c4d88b41fcadc2c0963f6fb.

#5 - 09/27/2019 02:42 PM - Pengfei Ding

- Status changed from Resolved to Reviewed

Reviewed code, test build and run.

#6 - 10/09/2019 11:13 AM - Eric Flumerfelt
- Target version set to artdaq v3_06_02

- Status changed from Reviewed to Closed
